Name:		CGSI-gSOAP
Version:	1.3.11
Release:    1%{?dist}
Summary:	GSI plugin for gSOAP

License:	ASL 2.0
URL:		https://dmc-docs.web.cern.ch/dmc-docs/cgsi-gsoap.html
Source0:	https://gitlab.cern.ch/dmc/cgsi-gsoap/-/archive/v1.3.11/cgsi-gsoap-v%{version}.tar.gz
Patch0:		0000-Remove-executable-permissions-from-source-files.patch
Patch1:		0001-Use-CXX-instead-of-CPP-to-indicate-the-C-compiler.patch
Patch2:		0002-Remove-rules-for-building-flavoured-libraries.patch
Patch3:		0003-Link-to-all-Globus-libraries-used.patch
Patch4:		0004-Use-standard-name-DESTDIR-instead-of-redhat-specific.patch
Patch5:		0005-Clean-up-phony-install-target-declaration.patch
Patch6:		0006-Use-empty-gsoap-version-label-by-default.patch
Patch7:		0007-Remove-generated-documenation-on-make-clean.patch
Patch8:		0008-Include-VERSION-file-in-Makefile.patch
Patch9:		0009-Only-generate-documentation-once.patch

BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	globus-gss-assist-devel
BuildRequires:	globus-gssapi-gsi-devel
BuildRequires:	gsoap-devel
BuildRequires:	voms-devel
BuildRequires:	doxygen

%description
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package devel
Summary:	GSI plugin for gSOAP - development files
Requires:	%{name} = %{version}-%{release}
Requires:	gsoap-devel

%description devel
This package provides the header files for programming with the cgsi-gsoap
plugins.

%prep
%setup -q -n cgsi-gsoap-v%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
cd src
%make_build \
     CFLAGS="%optflags -fPIC -I. $(pkg-config --cflags gsoap)" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} \
     all doc

%install
cd src
%make_install \
     CFLAGS="%optflags -fPIC -I. $(pkg-config --cflags gsoap)" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} \
     DOCDIR=$(sed 's!^%{_prefix}!!' <<< %{_pkgdocdir}) \
     install.man
rm %{buildroot}%{_libdir}/*.a


%files
%{_libdir}/libcgsi_plugin.so.*
%{_libdir}/libcgsi_plugin_cpp.so.*
%{_libdir}/libcgsi_plugin_voms.so.*
%{_libdir}/libcgsi_plugin_voms_cpp.so.*
%doc RELEASE-NOTES
%license LICENSE

%files devel
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%doc %{_pkgdocdir}/html
%doc %{_mandir}/man*/*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.11-1
- initial build
